1.199. pam_ldap

An updated pam_ldap package that fixes two bugs is now available for Red Hat Enterprise Linux 6.
The pam_ldap module is a Pluggable Authentication Module (PAM) which allows for authentication, authorization and password changes against LDAP servers.
Bug Fixes
BZ#637190
Previously, the password aging policy for users on LDAP servers used a resolution of one day. Due to this issue, users whose password was going to expire in less than a day would not be warned of the impending expiration. This update changes the resolution. Now, a password expiry warning is also shown on the last day when the password expires within the next 24 hours.
BZ#677338
Applications which authenticate multiple users in succession using pam_ldap may leak memory which libraries on which the module depends allocate and initialize when they are loaded. This update marks the module so that it will not be unloaded. Now these libraries and the memory they allocate are no longer lost.
All users of pam_ldap are advised to upgrade to this updated package which fixes these bugs.